Skip to content
GET /unified/accounting/item_receipts

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). When the upstream body exceeds 1 MiB, data is replaced by { truto_truncated: true, truto_max_bytes, truto_excerpt }. debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. data is the parsed upstream body; when its JSON form exceeds 1 MiB it is replaced by { truto_truncated: true, truto_max_bytes, truto_excerpt }, where truto_excerpt is the leading bytes of that body. The same applies to a string requestOptions.body. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Item receipts

idstring
required·

The unique identifier for the item receipt

5 supported
Brightpearl
supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
companystring

The company the item receipt belongs to

References: CompanyInfo → id
3 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
currencystring

The currency of the item receipt

4 supported
Brightpearl
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
due_datestring · date-time

The due date of the item receipt

2 supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
line_itemsobject[]

The lines of the item receipt

5 supported
Brightpearl
supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
5 properties
descriptionstring

The description of the line item

idstring

The unique identifier for the line item

quantitynumber

The quantity received

typestring

The type of the line item

unit_pricenumber

The unit cost of the line item

numberstring

The number of the item receipt

5 supported
Brightpearl
supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
order_numberstring

The number of the purchase order the goods were received against

3 supported
Brightpearl
supported
Coupa
supported
Microsoft Dynamics 365 Business Central
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

transaction_datestring · date-time

The posting date of the item receipt

5 supported
Brightpearl
supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
updated_atstring · date-time

The last updated timestamp of the item receipt

4 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
vendorstring

The vendor the goods were received from

4 supported
Coupa
supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
Sage Intacct
supported
vendor_namestring

The name of the vendor

1 supported
Microsoft Dynamics 365 Business Central
supported
truto unified accounting itemreceipts \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'itemreceipts',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "itemreceipts",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/accounting/item_receipts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/item_receipts?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/item_receipts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())